Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412394 - Aide fails to detect changes in subdirectories
Summary: Aide fails to detect changes in subdirectories
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: aide
Version: 7.3
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Daniel Kopeček
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 1649308
TreeView+ depends on / blocked
 
Reported: 2017-01-11 23:27 UTC by John Horne
Modified: 2019-02-27 09:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-27 09:14:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch derived from upstream. (18.70 KB, patch)
2017-03-19 08:05 UTC, Tomas Sykora
no flags Details | Diff

Description John Horne 2017-01-11 23:27:39 UTC
Description of problem:

I have configured aide with the following rule:

/etc/.*\.conf$  CONTENT_EX

This should detect changes to any '.conf' file in any directory within '/etc'.
By changing the '/etc/audisp/plugins.d/syslog.conf' file, and then running 'aide', it says that no changes have been detected.
Using the '--verbose=255' option, and then checking the aide log file, seems to indicate that subdirectories are not being checked at all. There was no mention of the 'syslog.conf' file at all in the log.

Version-Release number of selected component (if applicable):

aide-0.15.1-11.el7.x86_64

How reproducible:

Everytime.

Steps to Reproduce:
1. Modify '/etc/aide.conf' with the above rule, then run 'aide -u'.
2. Modify '/etc/audisp/plugins.d/syslog.conf' (or any other '.conf' file in 
a subdirectory of '/etc').
3. Run 'aide' again.

Actual results:

AIDE, version 0.15.1

### All files match AIDE database. Looks okay!

Expected results:
Aide show indicate that the '.conf' file has been modified.

Additional info:

I used the same rule on a Fedora 25 PC, and it worked correctly. The version of aide on the PC was 0.16.

Comment 2 John Horne 2017-01-19 15:10:30 UTC
Found the same problem on an RHEL 6.8 server.
Set the severity to medium as this is security software and it is not doing what is expected according to the man page and manual.

Comment 3 Tomas Sykora 2017-03-19 08:05:18 UTC
Created attachment 1264559 [details]
Patch derived from upstream.

Upstream started to use PCRE regular expressions. Without this, it would be probably impossible (or at least quite difficult) to fix this functionality.

Comment 6 Daniel Kopeček 2019-02-27 09:14:55 UTC
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 7 and therefore will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.


Note You need to log in before you can comment on or make changes to this bug.